nav:
    - Startseite: 'index.md'
    - Makerspace nutzen: 'ms-nutzen.md'
    - Wiki: 
      - Wiki: 'ort.md'      
      - 'status.md'
      - 'projektraeume.md'
      - 'coworking.md'
      - 'designlabor.md'
      - 'textillabor.md'      
      - 'medienlabor.md'  
      - 'kuechenlabor.md'        
      - 'digitallabor.md'
      - 'metallbauwerkstatt.md'
      - 'holzwerkstatt.md'
      - 'kunststoffwerkstatt.md'      
      - 'keramikwerkstatt.md'
      - 'mobil.md'
      - 'organisation.md'
      - 'partner-innen.md'
      - 'drittmittelprojekte.md'
      - 'mir.md'      
    - Organisation und Team: 'team.md'     
    - Kontakt: 'kontakt.md' 


copyright: <a href="https://rub.de"><img class="copyright1" alt="Logo und Link Website RUB" style="width:250px; padding-right:20px; padding-bottom:20px;"></a>  <a href="https://worldfactory.de"><img class="copyright2" alt="Logo Worldfactory" style="width:200px; padding-right:20px; padding-bottom:20px;"></a> <a href="https://www.exzellenz-start-up-center.nrw"> <img class="copyright3" alt="Logo Excellent Startup Center" style="width:200px;"></a> <br> <a href="https://makerspace.ruhr-uni-bochum.de">Startseite</a> | <a href="https://makerspace.ruhr-uni-bochum.de/kontakt">Kontakt</a> | <a href="https://makerspace.ruhr-uni-bochum.de/impressum">Impressum</a> | <a href="https://www.ruhr-uni-bochum.de/de/datenschutz">Datenschutz und Cookies</a>      

site_name: 'RUB-MAKERSPACE'
site_url: https://test-ms-boehntxp-a762342731fc2e4f5ac31921f2de1d2c94efb6952110ae.io.noc.ruhr-uni-bochum.de/
site_description: 'Die offene Werkstatt an der RUB'
use_directory_urls: true
#repo_url: https://git.noc.ruhr-uni-bochum.de/makerspace/homepage
#repo_name: "Open Source"
#edit_uri: ./-/blob/main/docs/

theme:
  name: material
  custom_dir: docs/overrides
  icon: 
    repo: "fontawesome/brands/gitlab"
    admonition:
      abstract: fontawesome/solid/circle-exclamation
      tip: fontawesome/solid/screwdriver-wrench
      failure: material/hospital-box
      quote: fontawesome/solid/triangle-exclamation
  favicon: medien/favicon.ico
  features:
#    - toc.follow             #toc is the right side navigation (navigation within one page)
#    - toc.integrate          #if activated, right side navigation would be included in the left side navigatoin
    - navigation.top          #integrates a back-to-top button that appears after the user starts to scroll up the page
#    - navigation.sections    #if activated, left side navigation-sections would always be "expanded" and couldn't be "collapsed"   
#    - navigation.instant     #works neither with i18n (language-plugin) nor with our new "fancy" elements that rely on javascript
#    - navigation.indexes     #if activated, top-page of a left side navigation-section would shown again as the first page of its section 
    - search.suggest 
    - search.highlight
    - navigation.tracking      
#    - navigation.tabs         #this is the navigation bar at the top of the page. Only visible when there is enough width available
#    - navigation.tabs.sticky  #this locks the navigation bar at the top of the page. Otherwise, it would disappear when the user scrolls down
#    - announce.dismiss
    - content.action.edit
    - content.code.copy
#    - navigation.footer
    - navigation.prune      
  language: de
  logo: medien/makerspace-weiss.svg
  palette: 
    - media:  "(prefers-color-scheme: light)"
      scheme: default
      toggle:
        icon: material/lightbulb-outline 
        name: Switch to dark mode
    - media:  "(prefers-color-scheme: dark)"
      scheme: slate 
      toggle:
        icon: material/lightbulb
        name: Switch to light mode
  font: false #to prevent loading fonts from google

markdown_extensions:
  - meta
  - toc:
#      permalink: true
      toc_depth: 3
  - pymdownx.tabbed:
      alternate_style: true 
  - pymdownx.emoji:
      emoji_index: !!python/name:material.extensions.emoji.twemoji
      emoji_generator: !!python/name:material.extensions.emoji.to_svg 
      options:
        custom_icons:
          - docs/overrides/.icons       
  - def_list
  - pymdownx.tasklist:
      custom_checkbox: true
  - admonition
  - pymdownx.details
  - pymdownx.superfences:
      custom_fences:
        - name: mermaid
          class: mermaid
          format: !!python/name:pymdownx.superfences.fence_code_format  
  - pymdownx.critic    
  - pymdownx.caret
  - pymdownx.mark
  - pymdownx.tilde  
  - footnotes
  - attr_list  
  - pymdownx.snippets:
      base_path: "docs"

plugins:
  - search
  - glightbox:
      skip_classes:
        - skip-lightbox
  - i18n:
      languages:
        - locale: de
          name: Deutsch
          build: true
          default: true
        - locale: en
          name: English
          build: false
          nav_translations:
            Startseite: "Start"
            Aktuelles: "News"
            Kalender: "Calendar"
            News aus 2023: "News from 2023"
            News aus 2022: "News from 2022"
            News aus 2021: "News from 2021"
            News aus 2020: "News from 2020"
            Sensordaten: "Sensor Data"
            Unterweisungen: "(Safety) Instructions"
            Makerspace nutzen: "Using the Makerspace"
            Bereiche und Ausstattung: "Space and Equipment"
            Übersichtskarte: "Makerspace Map"
            Organisation und Team: "Organization and Team"
            Partner*innen: "Partners"
            Kontakt: "Contact"
            Anreise: "Journey to the Makerspace"
            Öffnungszeiten: "Opening Hours"
            Unterstützung: "Support, Partnership and Fundraising"
            Quelldaten dieser Website: "Source Data"
  - table-reader:
      data_path: "tables"
  - git-revision-date-localized:
      enable_creation_date: true
      fallback_to_build_date: false
      type: iso_date
      timezone: Europe/Berlin
      exclude:
        - index.md
        - index-testseite.md
        - news/*
        - news-entwuerfe/*
        - kalender.md
        - organisation.md
        - partner-innen.md
        - drittmittelprojekte.md
        - team.md
        - unterstuetzung.md
        - gebuehren.md
        - index.en.md
        - kalender.en.md
        - organisation.en.md
        - partner-innen.en.md
        - drittmittelprojekte.en.md
        - team.en.md
        - unterstuetzung.en.md
        - gebuehren.en.md
        - news.md
        - en.md
  - footermatter:
      key_created: "date"  
#      date_format: "%Y-%m-%d"
      locale: "de"
      default_author_url: "../../team"
  - mkdocs-video:
      css_style:
        max-width: "90%"
        width: auto
        height: auto
        max-height: "80vh"
      is_video: true
      video_autoplay: false
      video_muted: false
      video_controls: True
  - rss:
      match_path: "news(/|\\\\).*"
      abstract_chars_count: -1
      date_from_meta: 
        as_creation: date
        as_update: date
        datetime_format: "%Y-%m-%d" 
      image: https://git.noc.ruhr-uni-bochum.de/makerspace/homepage/-/raw/main/docs/medien/rub-makerspace-logo.svg 
      length: 40
  - rss_deduplicate
  - exclude_snippets

extra:
  social:
    - icon: fontawesome/brands/instagram 
      link: https://instagram.com/rubmakerspace
    - icon: fontawesome/brands/linkedin
      link: https://de.linkedin.com/showcase/rubmakerspace/
  alternate:
    - name: English
      link: en/ 
      lang: en
    - name: Deutsch
      link: ./
      lang: de
  translations:
    en:
      nav_startpage: "START"
      nav_makerspace_nutzen: "USING THE MAKERSPACE"
      nav_wiki: "WIKI"
      nav_team: "TEAM"
      nav_contact: "CONTACT"
      nav_small_impressum: "Legal Notice"
      nav_small_cookies: "Privacy Policy and Cookies"
      settings: "Settings"
      close: "Close"
      select_language: "Select Language"
      select_color_scheme: "Select Color Scheme"
      select_color_scheme_light: "Light"
      select_color_scheme_dark: "Dark"
      change_font_size: "Change Font Size"
      increase_font_size: "Increase Font-Size"
      decrease_font_size: "Decrease Font-Size"
      reset_font_size: "Reset Font-Size"
      settingsET: The quick brown fox jumps over the lazy dog. This text is displayed to help you preview the font size settings. Adjust the font-size with the buttons above to see how the text size changes.
      settingsETH: Example Heading
      noJsWarning: <strong> Warning! </strong> It seems you have deactivated JavaScript. The design and functionality of this site might be broken or limited. 
    de:
      nav_startpage: "STARTSEITE"
      nav_makerspace_nutzen: "MAKERSPACE NUTZEN"
      nav_wiki: "WIKI"
      nav_team: "TEAM"
      nav_contact: "KONTAKT"
      nav_small_impressum: "Impressum"
      nav_small_cookies: "Datenschutz und Cookies"
      settings: "Einstellungen"
      close: "Schließen"
      select_language: "Sprache auswählen"
      select_color_scheme: "Farb-Schema auswählen"
      select_color_scheme_light: "Hell"
      select_color_scheme_dark: "Dunkel"
      change_font_size: "Schriftgröße ändern"
      increase_font_size: "Schriftgröße erhöhen"
      decrease_font_size: "Schriftgröße verkleinern"
      reset_font_size: "Schriftgröße zurücksetzen"
      settingsET: Der schnelle braune Fuchs springt über den faulen Hund. Dieser Text wird angezeigt, um Dir eine Vorschau der Schriftgrößeneinstellungen zu zeigen. Passe die Schriftgröße mit den Buttons oben an, um zu sehen, wie sich die Textgröße ändert.
      settingsETH: Beispiel Überschrift
      noJsWarning: <strong> Warnung! </strong> Es scheint, dass Du JavaScript deaktiviert hast. Das Design und die Funktionalität dieser Website sind dadurch möglicherweise fehlerhaft oder eingeschränkt. 

extra_css:
  - 'stylesheets/main.css'

extra_javascript:
  - javascripts/header.js
  - javascripts/img.js
  - javascripts/fontsizeslider.js